Welcome

M9188A PXI Dynamic DAC

Soft Front Panel

The M9188A Dynamic DAC is predominantly controlled using its driver APIs due to its inherent usage in automated environments. The M9188A Dynamic DAC Soft Front Panel (SFP) is provided as a learning tool to help you experience the module's capability and behavior through a useful interactive graphical interface for controlling and/or simulating the module. The SFP helps you with the following tasks:

  • Verify that the module is properly installed and working in your system — important when a module is installed for the very first time

  • Learn about the module capability and behavior through interactive use

  • Learn how to program the instrument

  • Verify and debug your system

The M9188A Startup Guide provides instructions for installing the SFP. After the SFP is installed, you can launch it from the Start > All Programs > Keysight program group, or from the relevant module node in the Keysight Connection Expert software.


Getting Started

You can launch the M9188A Dynamic DAC SFP interface from the Start > All Programs > Keysight program group on your computer. This action opens a dialog box listing the connected modules that are supported by the software driver.

Select a module from the list and click Connect. This will then open up the SFP interface of the selected module.

Enabling Simulation Mode will allow you access to the SFP without the presence of the actual module.


SFP Tour

Launch the Soft Front Panel (SFP) from the Start > All Programs > Keysight program group.

Basic Format

The following picture shows basic format of the Soft Front Panel for the M9188A Dynamic DAC.

Menu Items

  • File menu

    • Connect – Brings up the instrument connection dialog, which allows you to select a specific module (or select the Simulation Mode).

    • Save Configuration As – Saves the current SFP configuration.

    • Load Configuration – Loads a previously saved SFP configuration.

    • Exit – Closes the SFP.

  • View menu

    • Preferences – Allows you to select the color scheme (Platinum or Midnight) and font size of the SFP text (Small, Normal, or Large).

  • Utilities menu

    • Reset – Reset the module using the driver reset function.

    • Self Test – Allows you to run an instrument self test. You have the option to save the self test results.

  • Tools menu

    • Monitor Driver Calls – Brings up a dialog showing the driver calls made by the SFP for controlling the instrument. You have the option to save the driver call log or clear the driver call log history.

  • Help menu

    • Contents – Brings up this help file.

    • Driver Help – Brings up the help file for the instrument driver.

    • Online Support – Brings up the Keysight Web support site for this instrument.

    • About – Brings up the About dialog, which shows Soft Front Panel version and instrument driver information.

Status Bar

The status bar on the bottom of the main window shows following:

  • Connection status – Shows address of the module that SFP is connected to currently or Simulation Mode (if the simulation mode is enabled). Click the status to bring up the Connect to Instrument dialog box.

Connected module

Simulation

  • Error Status – Shows Error or No Error to indicate errors. Click on the error status to bring up the Errors dialog box.


Connect to a Module

From the File menu, select Connect. This action opens a dialog box listing all the connected modules.

Select a module from the list and click Connect.


Check a Module Status

The easiest way to check a module status is to run the SFP and select a connected module (see Connect to a Module).

From the Utilities menu, reset the module (Utilities> Reset) and perform a self test (Utilities> Self Test).


Conduct a Module Self Test

From the Utilities menu, select Self Test. This action opens a dialog box allowing you to run a self test on the connected module.

The selft test results will be shown in the dialog box after the test. Click Save As to save the self test results as a Text file (.txt).


Reset a Module to its Default Factory Settings

From the Utility menu, select Reset. This action sends the instrument reset command to the connected module.


Set the System Clock Source

Select the system clock source. There are four options available. Click the [image] button and select one of the following options:

  • Internal Clock: Default 10 MHz clock source from the internal hardware.

  • PXI: Receive a 10 MHz clock source from the PXI chassis.

  • EXT In: Receive a 10 MHz clock source from the EXT CLK front connector.

  • Internal + EXT Out: Outputs the internal 10 MHz clock source to the EXT CLK front connector.

The M9188A is immediately configured after you select a system clock source option.


Configure the Trigger or Event Mode

Select the trigger or event mode. There are six modes available. Click the [image] button and select one of the following options:


Configure the Trigger or Event Mode - Immediate

Immediate

Software mode where the output signal will appear immediately after a software trigger. Press [image] to configure the M9188A.


Configure the Trigger or Event Mode - Immediate + External Hardware Output Pulse

Immediate + External Hardware Output Pulse

Software mode where the output signal will appear immediately upon a software trigger. At the same time, an Event Out (Trigger Out) pulse will be sent to the EXT TRIG front connector. Press [image] to configure the M9188A.


Configure the Trigger or Event Mode - Immediate + PXI Bus Output Pulse

Immediate + PXI Bus Output Pulse

Software mode where the output signal will appear immediately upon a software trigger. At the same time, an Event Out (Trigger Out) pulse will be sent to the selected PXI Bus (or PXI Busses). Select a PXI Bus (or PXI Busses) for this trigger/event mode, and press [image] to configure the M9188A.


Configure the Trigger or Event Mode - External Hardware Input Pulse

External Hardware Input Pulse

Trigger mode, where the module waits for a trigger pulse from the EXT TRIG front connector. Select a Positive or Negative edge and the desired PXI BUS (or PXI BUsses) for this trigger/event mode, and press [image] to configure the M9188A.


Configure the Trigger or Event Mode - PXI Bus Input Pulse

PXI Bus Input Pulse

Trigger mode, where the module waits for a trigger pulse from the selected PXI Bus (or PXI Busses). Select a Positive or Negative edge and the desired PXI Bus (or PXI Busses) for this trigger/event mode. Press [image] to configure the M9188A.


Configure the Trigger or Event Mode - PXI Star Trigger Input Pulse

PXI Star Trigger Input Pulse

Trigger mode, where the module waits for a trigger pulse from the PXI Star Trigger. Select a Positive or Negative edge for this trigger/event mode, and press [image] to configure the M9188A.


Configure the Waveform Settings

Select the various settings to configure a waveform in the M9188A.

When you have configured all your desired waveform settings, click [image] to apply the waveform settings to the selected channel(s).

Note: Clicking [image] does not output a signal immediately. See Set the Output Relay for more information on how to output the signal.


Configure the Waveform Settings - Channel

Channel:

Click the [image] button and select one of the following options:

  • Channel (1 to 16): Select an individual channel to apply the selected waveform settings to when you click [image].

  • Channel 1-8: Apply the selected waveform settings to Channel 1 to 8 when you click [image].

  • Channel 9-16: Apply the selected waveform settings to Channel 1 to 16 when you click [image].

  • Channel 1-16: Apply the selected waveform settings to all channels (Channel 1 to 16) when you click [image].

Note: Clicking [image] does not output a signal immediately. See Set the Output Relay for more information on how to output the signal.


Configure the Waveform Settings - Output Mode

Output Mode

Click the [image] button and select one of the following options:

  • Voltage: Outputs a voltage waveform from the selected channel(s).

  • Current: Outputs a current waveform from the selected channel(s).

When you have configured all your desired waveform settings, click [image] to apply the waveform settings to the selected channel(s).

Note: Clicking [image] does not output a signal immediately. See Set the Output Relay for more information on how to output the signal.


Configure the Waveform Settings - Function, DC

Function, DC

Click the [image] button and select the following option:

DC: Configure a DC waveform by selecting its Amplitude.

Output Mode | Amplitude
 | Minimum | Maximum
Voltage | 0 V | 30 V
Current | 0 A | 20 mA

When you have configured all your desired waveform settings, click [image] to apply the waveform settings to the selected channel(s).

Note: Clicking [image] does not output a signal immediately. See Set the Output Relay for more information on how to output the signal.


Configure the Waveform Settings - Function, Sine

Function, Sine

Click the [image] button and select the following options:

Sine: Configure a sinusoidal waveform by selecting its Amplitude, Frequency, Offset Level, and PhaseShift.

Output Mode | Amplitude |  | Frequency |  | Offset Level |  | PhaseShift
 | Minimum | Maximum | Minimum | Maximum | Minimum | Maximum | Minimum | Maximum
Voltage | 0 V | 30 V | 1 kHz | 50 kHz | 0 V | 30 V | −360° | 360°
Current | 0 A | 20 mA | 1 kHz | 50 kHz | 0 A | 20 mA | −360° | 360°

Note: The relationship between Amplitude and Offset is given below:

Vmax = 30 V; Vmin = 0 V.
Imax = 20 mA; Imin = 0 A.
Voffset = OffsetLevel;
Vpp = Amplitude;

Voltage range condition:
Voffset + Vpp/2 <= Vmax;
Voffset - Vpp/2 => Vmin;

Current range condition:
Ioffset + Ipp/2 <= Imax;
Ioffset – Ipp/2 => Imin;

When you have configured all your desired waveform settings, click [image] to apply the waveform settings to the selected channel(s).

Note: Clicking [image] does not output a signal immediately. See Set the Output Relay for more information on how to output the signal.


Configure the Waveform Settings - Function, Square

Function, Square

Click the [image] button and select the following option:

Square: Configure a square waveform by selecting its Amplitude, Frequency, Offset Level, PhaseShift, and DutyCycle.

Output Mode | Amplitude |  | Frequency |  | Offset Level |  | PhaseShift |  | DutyCycle
 | Minimum | Maximum | Minimum | Maximum | Minimum | Maximum | Minimum | Maximum | Minimum | Maximum
Voltage | 0 V | 30 V | 1 kHz | 50 kHz | 0 V | 30 V | −360° | 360° | 20% | 80%
Current | 0 A | 20 mA | 1 kHz | 50 kHz | 0 A | 20 mA | −360° | 360° | 20% | 80%

Note: The relationship between Amplitude and Offset is given below:

Vmax = 30 V; Vmin = 0 V.
Imax = 20 mA; Imin = 0 A.
Voffset = OffsetLevel;
Vpp = Amplitude;

Voltage range condition:
Voffset + Vpp/2 <= Vmax;
Voffset - Vpp/2 => Vmin;

Current range condition:
Ioffset + Ipp/2 <= Imax;
Ioffset – Ipp/2 => Imin;

When you have configured all your desired waveform settings, click [image] to apply the waveform settings to the selected channel(s).

Note: Clicking [image] does not output a signal immediately. See Set the Output Relay for more information on how to output the signal.


Configure the Waveform Settings - Function, Triangle

Function, Triangle

Click the [image] button and select the following option:

Triangle: Configure a triangle waveform by selecting its Amplitude, Frequency, Offset Level, and PhaseShift.

Output Mode | Amplitude |  | Frequency |  | Offset Level |  | PhaseShift
 | Minimum | Maximum | Minimum | Maximum | Minimum | Maximum | Minimum | Maximum
Voltage | 0 V | 30 V | 1 kHz | 50 kHz | 0 V | 30 V | −360° | 360°
Current | 0 A | 20 mA | 1 kHz | 50 kHz | 0 A | 20 mA | −360° | 360°

Note: The relationship between Amplitude and Offset is given below:

Vmax = 30 V; Vmin = 0 V.
Imax = 20 mA; Imin = 0 A.
Voffset = OffsetLevel;
Vpp = Amplitude;

Voltage range condition:
Voffset + Vpp/2 <= Vmax;
Voffset - Vpp/2 => Vmin;

Current range condition:
Ioffset + Ipp/2 <= Imax;
Ioffset – Ipp/2 => Imin;

When you have configured all your desired waveform settings, click [image] to apply the waveform settings to the selected channel(s).

Note: Clicking [image] does not output a signal immediately. See Set the Output Relay for more information on how to output the signal.


Configure the Waveform Settings - Function, Arbitrary

Function, Arbitrary

Click the [image] button and select the following option:

Arbitrary: Configure an arbitrary waveform by selecting a CSV file together with its Playback Mode and Sampling Period.

Output Mode | Playback Mode | Burst Count |  | Sampling Period
 |  | Minimum | Maximum | Minimum | Maximum
Voltage | Continuous or Burst | 1 | 10000 | 2 µs | 512 µs
Current |  |  |  | 2 µs | 512 µs

Note: The M9188A SFP only accepts the first column numerical data of the CSV file. See the sample format shown below for more information.

Example arbitrary waveform files can be found in

“C:\Program Files\Keysight\M9188\Waveform Example” or “C:\Program Files (x86)\Keysight\M9188\Waveform Example” or
Click Start > All Programs > Keysight > M9188 > Waveform Example.

When you have configured all your desired waveform settings, click [image] to apply the waveform settings to the selected channel(s).

Note: Clicking [image] does not output a signal immediately. See Set the Output Relay for more information on how to output the signal.


Configure the Waveform Settings - Viewing Graph

Viewing Graph

With the M9188A SFP, you can preview a simulation of the waveform you are configuring.


Set the Output Relay

Use the ON/OFF switches to enable/disable individual channels or group channels.

In the example shown below, the output switches for Channels 1, 4, 5, and 9 are switched ON.

The corresponding switches that are turned on are shown in the M9188A Block Diagram below.

When a Group Channel is switched ON, the corresponding individual channel switches are switched ON as well.

In the example shown below, the output switches for Channels 9 - 16 are switched ON using the Group Channel switch.

Note: Toggling a Single Channel or Group Channel switch ON does not output a signal immediately. The M9188A will only output a signal for the selected channel(s) when you press [image]. This action turns on the amplifier and output the signals (see the M9188A Block Diagram).

However, toggling a Single Channel or Group Channel switch OFF will disconnect the output immediately. This action turns off the relay and amplifier output (see the M9188A Block Diagram).


Output the Selected Waveform/Event or Initiate the Trigger

Output the Selected Waveform/Event

If one of the following options are selected as the Trigger and Event:

  • Immediate

  • Immediate + External Hardware Output Pulse

  • Immediate + PXI Bus Output Pulse

Press [image] to output the selected waveform (DC, Sine, Square, Triangle, or Arbitrary) from the selected channel(s).

Initiate the Trigger

If one of the following options are selected as the Trigger and Event:

  • External Hardware Input Pulse

  • PXI Bus Input Pulse

  • PXI Star Trigger Input Pulse

Press [image] to output the selected waveform (DC, Sine, Square, Triangle, or Arbitrary) from the selected channel(s).

Note: The output at the channel will only appear if the module is triggered.


Save a Configuration or Load a Previously Saved Configuration

Save a Configuration

Click File > Save Configuration As to save the current configuration of the SFP as an XML data file.

Load a Previously Saved Configuration

Click File > Load Configuration to load a previously saved configuration (XML data file) as the current SFP configuration.

After loading the configuration, click [image] or [image] to output the selected waveform to the selected channel(s).

Note: If an error is encountered during loading, the SFP will reset to its default factory settings.


Examples

Example 1: Output a 25 V DC Voltage from Channel 4 on Immediate Mode

  1. Set the Trigger and Event to Immediate. Click [image].

  2. Configure the Waveform Setting to:

    • Channel: Channel 4

    • Output Mode: Voltage

    • Function: DC

    • Amplitude: 25 V

    Click [image].

  3. Toggle the Output Relay CH4 switch to ON. Click [image].

To stop the output of Channel 4, toggle the Output Relay CH4 switch to OFF.


Examples

Example 2: Output a 20 mA Square Current Waveform from Channel 7 on External Trigger Mode

  1. Set the Trigger and Event to External Hardware Input (Edge to Positive). Click [image].

  2. Configure the Waveform Setting to:

    • Channel: Channel 7

    • Output Mode: Current

    • Function: Square

    • Amplitude: 20 mA

    • Offset Level: 10 mA

    • Frequency: 5 kHz

    • PhaseShift: 0°

    • DutyCycle: 20%

    Click [image].

  3. Toggle the Output Relay CH7 switch to ON. Click [image].

The output signal only appear at Channel 7 when only the module is triggered at the EXT front connector.
To stop the output of Channel 7, toggle the Output Relay CH7 switch to OFF.


Examples

Example 3: Output an Arbitrary Voltage Waveform from Channel 1-8 on Immediate Mode

  1. Set the Trigger and Event to Immediate. Click [image].

  2. Configure the Waveform Setting to:

    • Channel: Channel 1-8

    • Output Mode: Voltage

    • Function: Arbitrary

    • File: <user_defined>

    • Playback Mode: Burst

    • Sampling Period: 2 µs

    • Burst Count: 10

    Click [image].

  3. Toggle the Output Relay Group Channel 1 - 8 switch to ON. Click [image].

To stop the output from all channels, toggle the Output Relay Group Channel 1 - 8 switch to OFF.